TV_GRAB_FR(1)

NAME
tv_grab_fr - Grab TV listings for France.

SYNOPSIS
 To configure AUTRES CHAINES list:
   tv_grab_fr --configure-more-channels
 To configure:
   tv_grab_fr --configure [--config-file FILE] [--gui OPTION]
 To grab listings:
   tv_grab_fr [--config-file FILE] [--output FILE] [--days N]
    [--offset N] [--quiet] [--noautocorrect] [--perdays] [--perweeks]
 Slower, detailed grab:
   tv_grab_fr --slow [--config-file FILE] [--output FILE] [--days N]
    [--offset N] [--quiet] [--noautocorrect] [--perdays] [--perweeks]
 To show capabilities:
   tv_grab_fr --capabilities
 To show version:
   tv_grab_fr --version
 Help:
   tv_grab_fr --help

DESCRIPTION
Output TV listings for several channels available in France (Hertzian, Cable/satellite, Canal+ Sat, TPS). The data comes from telepoche.guidetele.com. The default is to grab as many days as possible from the current day onwards. By default the program description are not downloaded, so if you want description and ratings, you should active the --slow option.

--configure-more-channels Use this option to create AUTRES CHAINES list.
 This allow to grab listings for some channels that are not in automatically generated lists. For more informations and a list of channels see <http://www.lahiette.com/biboobox/forum/viewtopic.php?t=1842>

--configure Grab channels informations from the website and ask for channel type and names.

--config-file FILE Use FILE as config file instead of the default config file. This allow to have different config files for i.e. different apps.

--gui OPTION Use this option to enable a graphical interface to be used. OPTION may be 'Tk', or left blank for the best available choice. Additional allowed values of OPTION are 'Term' for normal terminal output (default) and 'TermNoProgressBar' to disable the use of Term::ProgressBar.

--output FILE Write to FILE rather than standard output.

--days N Grab N days starting from today, rather than as many as possible. Due to the website organization, the speed is exactly the same, whatever the number of days is until you activate the --slow option. If --slow is not specified, --days will thus only filter the data without speeding up the grabber.

--offset N Start grabbing N days from today, rather than starting today. N may be negative. Due to the website organization, N cannot be inferior to -1. As with --days, this is only useful for limiting downloads in --slow mode.

--slow Get additional information from the website, like program description, reviews and credits.

--quiet Suppress the progress messages normally written to standard error.

--noautocorrect Disable the new time overlapping autocorrection mechanism.

--perdays Actually do nothing since "per days" is already set as default grabbing mode. This option is kept in the event of "per weeks" set back as default. In this case, it could be use to activate the "per days" grabbing mode.

--perweeks Activate the old "per weeks" grabbing mode. It is a fallback to use if the grabber does not return any data in the XML file.

--capabilities Show which capabilities the grabber supports. For more information, see <http://xmltv.org/wiki/xmltvcapabilities.html>

--version Show the version of the grabber.

--help Print a help message and exit.

SEE ALSO
xmltv(5)

AUTHOR
Sylvain Fabre, centraladmin@lahiette.com with some patches from :
  - Francois Gouget, fgouget@free.fr
  - Niel Markwick, nielm@bigfoot.com